library raised_buttons;

import 'package:flutter/material.dart';

/// A Raised Button.
class RaisedButton extends StatelessWidget {
  final String text;
  final Function()? onPressed;
  final double fontSize;

 const RaisedButton(Key key,{required this.text, required this.onPressed, required this.fontSize}): super(key: key);

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(Colors.black),
          overlayColor: MaterialStateProperty.all(Colors.black),
        ),
        onPressed: onPressed,
        child: Text(
          text,
          style: TextStyle(
            color: Colors.white,
            fontSize: fontSize,
            overflow: TextOverflow.ellipsis,
            fontWeight: FontWeight.bold,
          ),
        ));
  }
}
